Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

When I dput -f myhost foobar_x.x.x.changes, it successful uploaded the package, but produced the following warnings:

foobar has no source override entry
foobar has no binary override entry either

How can I specify the source/binary overrides, and/or just suppress the warnings?

I'm using mini-dinstall as the backend aptitude repository manager.

share|improve this question

3 Answers 3

up vote 2 down vote accepted

Disclaimer: I have forgotten how to handle dput correctly and know nothing about mini-dinstall.

The overrides file may contain overides for the section and priority fields of Debian packages. A package has these two embedded, but a repository might decide to give different values. For instance, when I upload to Debian, it is not my decision alone whether a package is required or not.

Generally, the warning is harmless and can be ignored. The override file is an option for dpkg-scanpackages (which I suppose is used behind the scenes by mini-dinstall as well). The file contains lines of the form

package-name priority section
share|improve this answer
    
Because I have managed too many packages, and there are too many overrides warnings each time doing dput. So how can I specify those overrides so as to filter the warnings away? –  Xiè Jìléi Jan 7 '11 at 8:46

It seems that the override warning messages are coming from the apt-ftparchive command. This is invoked by mini-dinstall to create the Package and Source files.

I managed to make apt-ftparchive read a source override file by setting an apt.conf setting. Unfortunately this is global for all users of apt-ftparchive on that machine but I only use it as part of mini-dinstall so it works for me.

  1. Create a source override file with appropriate entries. In this example I used /etc/apt/dinstall-src-override but it could be anywhere that is readable by mini-dinstall.

    opencv  optional        graphics
    digikam optional        graphics        an.other@example.com
    

    The contents of this file are as per standard Debian guidelines. To save searching the following are useful: Debian FTP Master's override file; Debian Policy allowable "Sections"; and Debian Policy allowable package "Priorities".

  2. Configure that apt-ftparchive uses the override file. Create a /etc/apt/apt.conf.d/90mini-dinstall-override file with contents

    APT::FTPArchive::SourceOverride "/etc/apt/dinstall-src-override";
    

With this setup I no-longer get the override entry warnings. Of course the overrides used should be sensible because they are used in the archive!

share|improve this answer

Just a little tidbit since I'm in the same boat: the file format is documented in deb-override. I haven't found where mini-dinstall (or apt-ftparchive; dpkg-scansources and dpkg-scanpackages weren't involved here) autoloads these from.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.